export module coral.math;

import coral;

export namespace coral {
	/**
	 * Two-component vector type backed by 32-bit floating point values.
	 */
	struct vector2 {
		/**
		 * "X" axis spatial component.
		 */
		f32 x;

		/**
		 * "Y" axis spatial component.
		 */
		f32 y;
	};

	/**
	 * Three-component vector type backed by 32-bit floating point values.
	 */
	struct vector3 {
		/**
		 * "X" axis spatial component.
		 */
		f32 x;

		/**
		 * "Y" axis spatial component.
		 */
		f32 y;

		/**
		 * "Z" axis spatial component.
		 */
		f32 z;
	};
}
